package com.template.services;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.evaluate.teacher.SimpleScore;
import com.template.model.evaluate.teacher.SimpleScoreDetailList;
import com.template.model.evaluate.teacher.SmartScoreManage;
import com.template.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 * 平分项管理 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-01-02
 */
public interface SmartScoreManageService extends IService<SmartScoreManage> {

    int insertSmartScoreManage(SmartScoreManage sa);

    int updateSmartScoreManage(SmartScoreManage sa);

    PageUtils<SmartScoreManage> queryPageSmartScoreManage(int currentPage, int pageCount, String name);

    int deleteSmartScoreManageById(int id);

    SmartScoreManage getSmartScoreManageById(int id);

    List<SmartScoreManage> getScoreManageList();

    List<SmartScoreManage> getScoreManageByKey(QueryWrapper<SmartScoreManage> queryWrapper);

    String getMaxTerm();

    SimpleScore queryScoreDetail(String term);

    SimpleScoreDetailList queryTeacherScoreDetail(String term, String cardNo);

    SimpleScoreDetailList queryNoTeacherScoreDetail(String term);

    List<SmartScoreManage> queryDatasByTermId(int termId);

    List<SmartScoreManage> queryDatasByParentId(int parentId);

    List<SmartScoreManage> queryAllDatasByParentId(int parentId);
}
